import React, { Component, Fragment } from "react";
import { FlatList, Button } from "react-native";

class GameList extends Component {
  constructor(props) {
    super(props);
    this.state = {
      games: [],
      selectedGame: null,
      editForm: false
    };
  }

  componentDidMount() {
    this.getGames();
  }

  getGames() {
    fetch("http://172.20.2.110:5000/game/listgames")
      .then(response => response.json())
      .then(games => {
        this.setState({
          games
        });
      })
      .catch(error => {
        console.log(error);
      });
  }

  render() {
    return (
      <Fragment>
        {this.state.games.length > 0 && (
          <FlatList
            data={this.state.games}
            renderItem={({ item }) => <Button title={item.name} />}
          />
        )}
      </Fragment>
    );
  }
}
export default GameList;
