import React from "react";
import { View, StyleSheet, TouchableOpacity, Text } from "react-native";
import MapView from "react-native-maps";

const UserMap = props => {
  let userLocationMarker = null;

  if (props.userLocation) {
    userLocationMarker = <MapView.Marker coordinate={props.userLocation} />;
  }
  const usersMarkers = props.usersPlaces.map((userPlace, i) => (
    <MapView.Marker
      coordinate={{
        latitude: userPlace.latitude,
        longitude: userPlace.longitude
      }}
      key={i}
    />
  ));

  return (
    <View style={styles.mapContainer}>
      <MapView
        initialRegion={{
          latitude: 62.2414166,
          longitude: 25.7597235,
          latitudeDelta: 0.0522,
          longitudeDelta: 0.0421
        }}
        region={props.userLocation}
        style={styles.map}
      >
        <MapView.UrlTile
          urlTemplate={
            "https://tiles.kartat.kapsi.fi/taustakartta/{z}/{x}/{y}.jpg"
          }
        />
        {usersMarkers}
        {userLocationMarker}
      </MapView>
    </View>
  );
};

const styles = StyleSheet.create({
  mapContainer: {
    width: "100%",
    height: "100%"
  },
  map: {
    width: "100%",
    height: "100%"
  }
});

export default UserMap;
